﻿@model ViewModels.Account.SignUpViewModel
@using Infrastructure.Security.Password;

@{
    ViewBag.Title = "Sign up";
}

<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">Sign up</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>
        @if (ViewBag.QrCodeImageUrl != null)
        {
            <div class="row">
                <div class="col-md-6">
                    <div style="text-align:center">
                        <img src="@ViewBag.QrCodeImageUrl" />
                    </div>
                </div>
                <div class="col-md-6">

                    <div class="alert alert-success">
                        <b>Your Account created successfully</b>
                        <br />
                        Please use picture below (QrCode) or 'Manual setup code' to create a google authenticator application account.
                        <br />
                        Manual setup code: <b>@ViewBag.ManualEntrySetupCode</b>
                        <br /><br />
                        If you don't have Google Authentication App on your mobile, try links below:
                        <br /><br />
                        <div style="text-align:center">
                            <a class="btn btn-default" title="Download Google Authentication Android version" href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2&amp;hl=en"><i class="fa fa-android"></i> Download Android Version</a>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            <a class="btn btn-default" title="Download Google Authentication IOS version" href="https://itunes.apple.com/us/app/google-authenticator/id388497605?mt=8"><i class="fa fa-apple"></i> Download IOS Version</a>
                        </div>
                    </div>
                    <div class="alert alert-info">
                        <a class="btn btn-primary" href="/@ViewContext.RouteData.Values["lang"]/Account/Signin">Sign in</a>
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <a class="btn btn-success" href="/@ViewContext.RouteData.Values["lang"]/">Return to home page</a>
                    </div>

                    <div class="alert alert-warning">
                        <b>Please keep manual code and print it on a paper.</b>
                        <br />
                        You need it if you lose your mobile.
                    </div>
                </div>

            </div>
        }
        else
        {
            <div class="row">
                <div class="col-md-6">

                    <div class="alert alert-warning">
                        <i class="fa fa-bell"></i> <b>Attention</b>
                        <ul>
                            <li>Password length must be equal or greater than <b>@PasswordValidator.MinimumLength</b> characters</li>
                            <li>Password must contain <b>a number at least</b></li>
                            <li>Your first name and last name must be in <b>accordance with your ID Card</b></li>
                            <li>For your safety, please choose strong password (including upper case and lower case characters plus signs)</li>
                        </ul>
                    </div>

                    <div class="alert alert-info">
                        <ul>
                            <li>Have an account ? please <b><a href="/Account/SignIn">Sign In</a></b></li>
                            <li>To return to home page <b><a title="return to home page" href="/">click here</a></b></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6">
                    @using (Html.BeginForm("SignUp", "Home", FormMethod.Post))
                {
                        @Html.AntiForgeryToken()
                        @Html.ValidationSummary(true)

                        <div class="form-group">
                            @Html.LabelFor(c => c.FirstName, new { @class = "label-control" })
                            @Html.TextBoxFor(c => c.FirstName, new { @class = "form-control", placeholder = "Required" })
                            @Html.ValidationMessageFor(c => c.FirstName)
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(c => c.LastName, new { @class = "label-control" })
                            @Html.TextBoxFor(c => c.LastName, new { @class = "form-control", placeholder = "Required" })
                            @Html.ValidationMessageFor(c => c.LastName)
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(c => c.EmailAddress, new { @class = "label-control" })
                            @Html.TextBoxFor(c => c.EmailAddress, new { @class = "form-control", placeholder = "Required" })
                            @Html.ValidationMessageFor(c => c.EmailAddress)
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(c => c.Username, new { @class = "label-control" })
                            @Html.TextBoxFor(c => c.Username, new { @class = "form-control", placeholder = "Required" })
                            @Html.ValidationMessageFor(c => c.Username)
                        </div>
                        <br />
                        <div class="form-group">
                            @Html.LabelFor(c => c.Password, new { @class = "label-control" })
                            @Html.PasswordFor(c => c.Password, new { @class = "form-control", placeholder = "Required" })
                            @Html.ValidationMessageFor(c => c.Password)
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(c => c.RePassword, new { @class = "label-control" })
                            @Html.PasswordFor(c => c.RePassword, new { @class = "form-control", placeholder = "Required" })
                            @Html.ValidationMessageFor(c => c.RePassword)
                        </div>
                        <div class="form-group">
                            <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" />

                            <a title="refresh serurity image" href="@Url.Action("SignUp", "Home", new { area = "Account" })">
                                <i class="fa fa-refresh"></i>
                            </a>
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                            @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt", placeholder = "Required" })
                            @Html.ValidationMessageFor(c => c.Captcha)
                        </div>
                        <br />
                        <div class="form-group">
                            <input class="btn btn-info" type="submit" value='Sign up' />
                        </div>
                        <input name="cc" type="hidden" value="@Model.cc" />
                    }
                </div>
            </div>
        }
    </div>
</section>


@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}
